CVE-2009-3106

MEDIUM
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The Servlet Engine/Web Container component in IBM WebSphere Application Server (WAS) 6.0.2 before 6.0.2.37 does not properly implement security constraints on the (1) doGet and (2) doTrace methods, which allows remote attackers to bypass intended access restrictions and obtain sensitive information via a crafted HTTP HEAD request to a Web Application.

References

http://www-01.ibm.com/support/docview.wss?uid=swg27006876

http://www-1.ibm.com/support/docview.wss?uid=swg1PK83258

https://exchange.xforce.ibmcloud.com/vulnerabilities/53051

Details

Source: MITRE

Published: 2009-09-08

Updated: 2017-08-17

Type: CWE-264

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:ibm:websphere_application_server:6.0.2:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2:*:fp17:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.1:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.2:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.3:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.4:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.5:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.6:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.7:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.8:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.9:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.10:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.11:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.12:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.13:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.14:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.15:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.16:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.17:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.18:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.19:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.20:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.21:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.22:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.23:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.24:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.25:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.27:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.28:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.29:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.30:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.31:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.32:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.33:*:*:*:*:*:*:*

cpe:2.3:a:ibm:websphere_application_server:6.0.2.35:*:*:*:*:*:*:*

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
42821IBM WebSphere Application Server 7.0 < Fix Pack 7NessusWeb Servers
medium
5183IBM WebSphere Application Server < 6.1.0.27 Multiple VulnerabilitiesNessus Network MonitorWeb Servers
medium
41057IBM WebSphere Application Server < 6.1.0.27 Multiple VulnerabilitiesNessusWeb Servers
medium